import java.util.ArrayList;
import java.util.Iterator;

/**
 * The database class provides a facility to store CD and video 
 * objects. A list of all CDs and videos can be printed to the
 * terminal.
 * 
 * This version does not save the data to disk, and it does not
 * provide any search functions.
 * 
 * @author Michael Kolling and David J. Barnes
 * @version 2002-05-02
 */
public class Database
{
    // add "books" here, and initialize in the constructor -- pld
    private ArrayList cds;
    private ArrayList videos;

    /**
     * Construct an empty Database.
     */
    public Database()
    {
        cds = new ArrayList();
        videos = new ArrayList();
    }

    /**
     * Add a CD to the database.
     */
    public void addCD(CD theCD)
    {
        cds.add(theCD);
    }

    /**
     * Add a video to the database.
     */
    public void addVideo(Video theVideo)
    {
        videos.add(theVideo);
    }

    /**
     * Print a list of all currently stored CDs and videos to the
     * text terminal.
     */
    public void list()
    {
        // print list of CDs
        for(Iterator iter = cds.iterator(); iter.hasNext(); ) {
            CD cd = (CD)iter.next();
            cd.print();
            System.out.println();   // empty line between items
        }

        // print list of videos
        for(Iterator iter = videos.iterator(); iter.hasNext(); ) {
            Video video = (Video)iter.next();
            video.print();
            System.out.println();   // empty line between items
        }
        // now books -- pld
    }
    
    /**
     * The following should search CDs, Videos, Books in turn for anything with a title
     * that contains the string "srchkey". 
     * Make the comparisons case-insensitive by converting to lowercase.
     * -- pld
     */
    public void search (String srchkey) {
    }
    
    /**
     * Add a few entries for demo purposes - pld
     */
    public void add_demo() {
        addCD (new CD("Blood Money", "Tom Waits", 14, 63));
        addCD (new CD("bad hair day", "Weird Al Yankovic", 12, 65));
        addCD (new CD("Songs in the Key of Life", "Stevie Wonder", 21, 120));
        addVideo (new Video("The Harder They Come", "Perry Henzell", 104));
        addVideo (new Video("Kolya", "Jan Sverak", 118));
        addVideo (new Video("Monty Python's Meaning of Life", "Terry Jones & Terry Gilliam", 90));
        addVideo (new Video("The Secret Life of Walter Mitty", "Mark Waters", 110));
        addVideo (new Video("Life or Something Like It", "Stephen Herek", 98));
    }
}
